Open SCAP Library

Public Member Functions | Data Fields
cpe_product Struct Reference
CPE » CPE Dictionary

Product of some vendor. More...

`#include <cpe_dict.h>`

## Public Member Functions
void | cpe_product_free (struct cpe_product *product)
struct cpe_product * | cpe_product_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cpe_product_get_value (const struct cpe_product *item)
| cpe_product functions to get product value More...
cpe_part_t | cpe_product_get_part (const struct cpe_product *item)
| cpe_product functions to get product part More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_product_set_value (struct cpe_product *product, const char *new_value)
bool | cpe_product_set_part (struct cpe_product *product, cpe_part_t new_part)
bool | cpe_product_add_version (struct cpe_product *product, struct cpe_version *new_version)

## Data Fields
char * | value
cpe_part_t | part
struct oscap_list * | versions

## Detailed Description

Product of some vendor.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h